"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactHooks = require("@polkadot/react-hooks");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function AccountIndex({
  children,
  className,
  defaultValue,
  label,
  style,
  value
}) {
  const {
    api
  } = (0, _reactHooks.useApi)();
  const info = (0, _reactHooks.useCall)(api.derive.accounts.info, [value]);
  const [accountIndex, setAccountIndex] = (0, _react.useState)(null);
  (0, _react.useEffect)(() => {
    const {
      accountIndex
    } = info || {};

    if (accountIndex) {
      setAccountIndex(accountIndex.toString());
    }
  }, [info]);
  return _react.default.createElement("div", {
    className: "ui--AccountIndex ".concat(className),
    style: style
  }, label || '', _react.default.createElement("div", {
    className: "account-index"
  }, accountIndex || defaultValue || '-'), children);
}

var _default = (0, _styledComponents.default)(AccountIndex).withConfig({
  displayName: "AccountIndex",
  componentId: "w2nafo-0"
})([".account-index{font-family:monospace;}"]);

exports.default = _default;