"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.styles = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Card = _interopRequireDefault(require("./Card"));

var _ProposedAction = _interopRequireWildcard(require("./ProposedAction"));

var _Row = require("./Row");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const styles = "\n  ".concat(_Row.styles, "\n  ").concat(_ProposedAction.styles, "\n");
exports.styles = styles;

function ActionItem({
  className,
  children,
  accessory,
  idNumber,
  proposal,
  expandNested
}) {
  return _react.default.createElement(_Card.default, {
    className: className
  }, _react.default.createElement("div", {
    className: "ui--Row"
  }, _react.default.createElement("div", {
    className: "ui--Row-base"
  }, _react.default.createElement("div", {
    className: "ui--Row-details"
  }, _react.default.createElement(_ProposedAction.default, {
    idNumber: idNumber,
    proposal: proposal,
    withLinks: expandNested,
    expandNested: expandNested
  })), accessory), children));
}

var _default = (0, _styledComponents.default)(ActionItem).withConfig({
  displayName: "ActionItem",
  componentId: "sc-1tl2wrp-0"
})(["", ""], styles);

exports.default = _default;