"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _util = require("./util");

var _AccountName = _interopRequireDefault(require("./AccountName"));

var _Balance = _interopRequireDefault(require("./Balance"));

var _Bonded = _interopRequireDefault(require("./Bonded"));

var _IdentityIcon = _interopRequireDefault(require("./IdentityIcon"));

var _LockedVote = _interopRequireDefault(require("./LockedVote"));

// Copyright 2017-2020 @polkadot/app-staking authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function AddressMini({
  balance,
  bonded,
  children,
  className,
  iconInfo,
  isPadded = true,
  label,
  style,
  value,
  withAddress = true,
  withBalance = false,
  withBonded = false,
  withLockedVote = false,
  withName = true,
  withShrink = false
}) {
  if (!value) {
    return null;
  }

  return _react.default.createElement("div", {
    className: (0, _util.classes)('ui--AddressMini', isPadded ? 'padded' : '', withShrink ? 'withShrink' : '', className),
    style: style
  }, label && _react.default.createElement("label", {
    className: "ui--AddressMini-label"
  }, label), _react.default.createElement("div", {
    className: "ui--AddressMini-icon"
  }, _react.default.createElement(_IdentityIcon.default, {
    size: 24,
    value: value
  }), iconInfo && _react.default.createElement("div", {
    className: "ui--AddressMini-icon-info"
  }, iconInfo)), _react.default.createElement("div", {
    className: "ui--AddressMini-info"
  }, withAddress && _react.default.createElement("div", {
    className: "ui--AddressMini-address"
  }, withName ? _react.default.createElement(_AccountName.default, {
    value: value
  }) : (0, _util.toShortAddress)(value)), children), _react.default.createElement("div", {
    className: "ui--AddressMini-balances"
  }, withBalance && _react.default.createElement(_Balance.default, {
    balance: balance,
    params: value
  }), withBonded && _react.default.createElement(_Bonded.default, {
    bonded: bonded,
    label: "",
    params: value
  }), withLockedVote && _react.default.createElement(_LockedVote.default, {
    params: value
  })));
}

var _default = (0, _styledComponents.default)(AddressMini).withConfig({
  displayName: "AddressMini",
  componentId: "ckyg5y-0"
})(["display:inline-block;padding:0 0.25rem 0 1rem;text-align:left;white-space:nowrap;&.padded{display:inline-block;padding:0.25rem 1rem 0 0;}&.summary{position:relative;top:-0.2rem;}.ui--AddressMini-address{max-width:9rem;min-width:9rem;overflow:hidden;text-align:left;text-overflow:ellipsis;> div{overflow:hidden;text-overflow:ellipsis;}}&.withShrink{.ui--AddressMini-address{min-width:3rem;}}.ui--AddressMini-label{margin:0 0 -0.5rem 2.25rem;}.ui--AddressMini-balances{display:grid;.ui--Balance,.ui--Bonded,.ui--LockedVote{font-size:0.75rem;margin-left:2.25rem;margin-top:-0.5rem;text-align:left;}}.ui--AddressMini-icon{margin:0 0.5rem 0 0;.ui--AddressMini-icon-info{position:absolute;right:-0.5rem;top:-0.5rem;z-index:1;}.ui--IdentityIcon{margin:0;vertical-align:middle;}}.ui--AddressMini-icon,.ui--AddressMini-info{display:inline-block;position:relative;vertical-align:middle;}"]);

exports.default = _default;