"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _AccountIndex = _interopRequireDefault(require("./AccountIndex"));

var _AccountName = _interopRequireDefault(require("./AccountName"));

var _IdentityIcon = _interopRequireDefault(require("./IdentityIcon"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function AddressSmall({
  className,
  defaultName,
  onClickName,
  overrideName,
  toggle,
  value
}) {
  return _react.default.createElement("div", {
    className: "ui--AddressSmall ".concat(className)
  }, _react.default.createElement(_IdentityIcon.default, {
    size: 32,
    value: value
  }), _react.default.createElement("div", {
    className: "nameInfo"
  }, _react.default.createElement(_AccountName.default, {
    className: overrideName || !onClickName ? '' : 'name--clickable',
    defaultName: defaultName,
    override: overrideName,
    onClick: onClickName,
    toggle: toggle,
    value: value
  }), _react.default.createElement(_AccountIndex.default, {
    value: value
  })));
}

var _default = (0, _styledComponents.default)(AddressSmall).withConfig({
  displayName: "AddressSmall",
  componentId: "sc-18sfh8g-0"
})(["vertical-align:middle;white-space:nowrap;.name--clickable{cursor:pointer;}.ui--IdentityIcon,.nameInfo{display:inline-block;vertical-align:middle;}.ui--IdentityIcon{margin-right:0.75rem;}.nameInfo{> div{max-width:16rem;overflow:hidden;text-overflow:ellipsis;}}"]);

exports.default = _default;