"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactHooks = require("@polkadot/react-hooks");

var _util = require("./util");

var _AddressMini = _interopRequireDefault(require("./AddressMini"));

var _Toggle = _interopRequireDefault(require("./Toggle"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function AddressToggle({
  address,
  className,
  filter,
  onChange,
  value
}) {
  const {
    api
  } = (0, _reactHooks.useApi)();
  const info = (0, _reactHooks.useCall)(api.derive.accounts.info, [address]);
  const [isFiltered, setIsFiltered] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    let isFiltered = true;

    if (!filter || address.includes(filter)) {
      isFiltered = false;
    } else if (info) {
      const [,, extracted] = (0, _util.getAddressName)(address);
      const filterLower = filter.toLowerCase();

      if (extracted.toLowerCase().includes(filterLower)) {
        isFiltered = false;
      } else if (info) {
        var _identity$display;

        const {
          accountId,
          accountIndex,
          identity,
          nickname
        } = info;

        if (((_identity$display = identity.display) === null || _identity$display === void 0 ? void 0 : _identity$display.toLowerCase().includes(filterLower)) || (accountId === null || accountId === void 0 ? void 0 : accountId.toString().includes(filter)) || (accountIndex === null || accountIndex === void 0 ? void 0 : accountIndex.toString().includes(filter)) || (nickname === null || nickname === void 0 ? void 0 : nickname.toLowerCase().includes(filterLower))) {
          isFiltered = false;
        }
      }
    }

    setIsFiltered(isFiltered);
  }, [filter, info, value]);

  if (isFiltered) {
    return null;
  }

  const _onClick = () => onChange && onChange(!value);

  return _react.default.createElement("div", {
    className: "ui--AddressToggle ".concat(className, " ").concat(value ? 'isAye' : 'isNay'),
    onClick: _onClick
  }, _react.default.createElement(_AddressMini.default, {
    className: "ui--AddressToggle-address",
    value: address
  }), _react.default.createElement("div", {
    className: "ui--AddressToggle-toggle"
  }, _react.default.createElement(_Toggle.default, {
    label: "",
    onChange: onChange,
    value: value
  })));
}

var _default = (0, _styledComponents.default)(AddressToggle).withConfig({
  displayName: "AddressToggle",
  componentId: "ecx0p1-0"
})(["align-items:flex-start;border:1px solid transparent;border-radius:0.25rem;cursor:pointer;display:flex;justify-content:space-between;margin:0.125rem;padding:0.125rem 0.25rem;text-align:left;vertical-align:middle;white-space:nowrap;.ui--AddressToggle-address{filter:grayscale(100%);opacity:0.5;}&:hover{border-color:#ccc;}&.isAye{.ui--AddressToggle-address{filter:none;opacity:1;}}.ui--AddressToggle-address,.ui--AddressToggle-toggle{flex:1;padding:0;}.ui--AddressToggle-toggle{margin-top:0.1rem;text-align:right;}"]);

exports.default = _default;