"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Tooltip = _interopRequireDefault(require("./Tooltip"));

// Copyright 2017-2020 @polkadot/app-staking authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
let badgeId = 0;

function Badge({
  className,
  hover,
  info,
  isInline,
  isSmall,
  isTooltip,
  onClick,
  type
}) {
  const [key] = (0, _react.useState)("".concat(Date.now(), "-").concat(badgeId++));
  return _react.default.createElement("div", {
    className: "ui--Badge ".concat(isInline && 'isInline', " ").concat(isTooltip && 'isTooltip', " ").concat(isSmall && 'isSmall', " ").concat(onClick && 'isClickable', " ").concat(type, " ").concat(className),
    "data-for": "badge-status-".concat(key),
    "data-tip": true,
    "data-tip-disable": !isTooltip,
    onClick: onClick
  }, _react.default.createElement("div", {
    className: "badge"
  }, info), _react.default.createElement("div", {
    className: "detail"
  }, hover), hover && _react.default.createElement(_Tooltip.default, {
    trigger: "badge-status-".concat(key),
    text: hover
  }));
}

var _default = (0, _styledComponents.default)(Badge).withConfig({
  displayName: "Badge",
  componentId: "b3oj2-0"
})(["border-radius:16px;box-shadow:0 3px 3px rgba(0,0,0,0.2);color:#eee;cursor:help;font-size:12px;height:22px;padding:0 4px;text-align:center;width:22px;i.icon{cursor:inherit !important;margin:0;width:1em;}&.isClickable{cursor:pointer;}&.isSmall{box-shadow:none;font-size:10px;height:16px;line-height:16px;padding:0;width:16px;}&:not(.isInline){display:flex;justify-content:center;margin-bottom:0.25rem;}&.isInline{display:inline-block;margin-right:0.25rem;}&.next,&.blue{background:steelblue;}&.offline,&.counter{background:red;}&.counter{margin:0 0.5rem;vertical-align:middle;}&.gray{background:#eee;color:#aaa;}&.runnerup,&.brown{background:brown;}&.online,&.selected,&.green{background:green;}& > *{line-height:22px;overflow:hidden;}&.isSmall > *{line-height:16px;}.detail{height:0;width:0;}&.expand{width:300px;.badge{width:0;}.detail{width:auto;}}"]);

exports.default = _default;