"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderProvided = renderProvided;
exports.default = BalanceDisplay;

var _bn = _interopRequireDefault(require("bn.js"));

var _react = _interopRequireDefault(require("react"));

var _reactQuery = require("@polkadot/react-query");

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function renderProvided({
  className,
  label,
  value
}) {
  let others;

  if (Array.isArray(value)) {
    const totals = value.filter((_, index) => index !== 0);
    const total = totals.reduce((total, value) => total.add(value), new _bn.default(0)).gtn(0);

    if (total) {
      others = totals.map((balance, index) => _react.default.createElement(_reactQuery.FormatBalance, {
        key: index,
        value: balance
      }));
    }
  }

  return _react.default.createElement(_reactQuery.FormatBalance, {
    className: (0, _util.classes)('ui--Balance', className),
    label: label,
    value: Array.isArray(value) ? value[0] : value
  }, others && _react.default.createElement("span", null, "\xA0(+", others, ")"));
}

function BalanceDisplay(props) {
  const {
    balance,
    className,
    label,
    params,
    style
  } = props;

  if (!params) {
    return null;
  }

  return balance ? _react.default.createElement(_react.default.Fragment, null, renderProvided({
    className,
    label,
    value: balance
  })) : _react.default.createElement(_reactQuery.Balance, {
    className: (0, _util.classes)('ui--Balance', className),
    label: label,
    params: params,
    style: style
  });
}