"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BondedDisplay;

var _react = _interopRequireDefault(require("react"));

var _reactQuery = require("@polkadot/react-query");

var _Balance = require("./Balance");

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function BondedDisplay(props) {
  const {
    bonded,
    params,
    className,
    label,
    style
  } = props;

  if (!params) {
    return null;
  }

  return bonded ? _react.default.createElement(_react.default.Fragment, null, (0, _Balance.renderProvided)({
    className,
    label,
    value: bonded
  })) : _react.default.createElement(_reactQuery.Bonded, {
    className: (0, _util.classes)('ui--Bonded', className),
    label: label,
    params: params,
    style: style
  });
}