"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Label = _interopRequireDefault(require("semantic-ui-react/dist/commonjs/elements/Label/Label"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _util = require("./util");

var _Icon = _interopRequireDefault(require("./Icon"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Bubble({
  color,
  children,
  className,
  icon,
  label
}) {
  return _react.default.createElement(_Label.default, {
    className: (0, _util.classes)('theme--default', 'ui--Bubble', className),
    color: color
  }, _react.default.createElement("div", {
    className: "ui--Bubble-header"
  }, icon && _react.default.createElement(_Icon.default, {
    name: icon,
    size: "large"
  }), label && _react.default.createElement("div", {
    className: "text"
  }, label)), _react.default.createElement("div", {
    className: "ui--Bubble-children"
  }, children));
}

var _default = (0, _styledComponents.default)(Bubble).withConfig({
  displayName: "Bubble",
  componentId: "sc-12in8p0-0"
})(["font-weight:normal;margin:0.25rem;padding:0;*{vertical-align:middle;}.ui--Bubble-children,.ui--Bubble-header{display:inline-block;vertical-align:middle;}.ui--Bubble-children{padding:0 0.75rem 0 0;}.ui--Bubble-header{background:rgba(0,0,0,0.05);box-sizing:border-box;border-radius:.28571429rem 0 0 .28571429rem;height:2.75rem;margin-right:0.75rem;padding:0 0.75rem;text-align:center;vertical-align:middle;> div{display:inline-block;line-height:2.75rem !important;vertical-align:middle;}> .text{padding:0 0 0 0.25rem;}}"]);

exports.default = _default;