"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Button;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireWildcard(require("react"));

var _Button = _interopRequireDefault(require("semantic-ui-react/dist/commonjs/elements/Button/Button"));

var _util = require("@polkadot/util");

var _Icon = _interopRequireDefault(require("../Icon"));

var _Tooltip = _interopRequireDefault(require("../Tooltip"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
let idCounter = 0;

function Button({
  children,
  className,
  floated,
  icon,
  isBasic = false,
  isCircular = false,
  isDisabled = false,
  isFluid = false,
  isLoading = false,
  isNegative = false,
  isPositive = false,
  isPrimary = false,
  label,
  labelPosition,
  onClick,
  size,
  style,
  tabIndex,
  tooltip
}) {
  const [triggerId] = (0, _react.useState)("button-".concat(++idCounter));
  const props = {
    basic: isBasic,
    circular: isCircular,
    className,
    'data-tip': !!tooltip,
    'data-for': triggerId,
    disabled: isDisabled,
    floated,
    fluid: isFluid,
    labelPosition,
    loading: isLoading,
    negative: isNegative,
    onClick,
    positive: isPositive,
    primary: isPrimary,
    size,
    secondary: !isBasic && !(isPositive || isPrimary || isNegative),
    style,
    tabIndex
  };
  return _react.default.createElement(_react.default.Fragment, null, (0, _util.isUndefined)(label) && (0, _util.isUndefined)(children) ? _react.default.createElement(_Button.default, (0, _extends2.default)({}, props, {
    icon: icon
  })) : _react.default.createElement(_Button.default, props, icon && _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Icon.default, {
    className: icon
  }), '  '), label, children), tooltip && _react.default.createElement(_Tooltip.default, {
    place: "top",
    text: tooltip,
    trigger: triggerId
  }));
}