"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _types = require("@polkadot/types");

var _reactParams = _interopRequireDefault(require("@polkadot/react-params"));

var _reactQuery = require("@polkadot/react-query");

var _Static = _interopRequireDefault(require("./Static"));

var _util = require("./util");

var _translate = require("./translate");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Call({
  children,
  className,
  labelHash,
  mortality,
  onError,
  style,
  tip,
  value,
  withHash
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  const [{
    hash,
    params,
    values
  }, setExtracted] = (0, _react.useState)({
    hash: null,
    params: [],
    values: []
  });
  (0, _react.useEffect)(() => {
    const params = _types.GenericCall.filterOrigin(value.meta).map(({
      name,
      type
    }) => ({
      name: name.toString(),
      type: (0, _types.getTypeDef)(type.toString())
    }));

    const values = value.args.map(value => ({
      isValid: true,
      value
    }));
    const hash = withHash ? value.hash : null;
    setExtracted({
      hash,
      params,
      values
    });
  }, [value, withHash]);
  return _react.default.createElement("div", {
    className: (0, _util.classes)('ui--Extrinsic', className),
    style: style
  }, _react.default.createElement(_reactParams.default, {
    isDisabled: true,
    onError: onError,
    params: params,
    values: values
  }), children, _react.default.createElement("div", {
    className: "ui--Extrinsic--toplevel"
  }, hash && _react.default.createElement(_Static.default, {
    className: "hash",
    label: labelHash || t('extrinsic hash')
  }, hash.toHex()), mortality && _react.default.createElement(_Static.default, {
    className: "mortality",
    label: t('lifetime')
  }, mortality), (tip === null || tip === void 0 ? void 0 : tip.gtn(0)) && _react.default.createElement(_Static.default, {
    className: "tip",
    label: t('tip')
  }, _react.default.createElement(_reactQuery.FormatBalance, {
    value: tip
  }))));
}

var _default = (0, _styledComponents.default)(Call).withConfig({
  displayName: "Call",
  componentId: "sc-1jx0cqv-0"
})([".hash .ui--Static{overflow:hidden;text-overflow:ellipsis;word-break:unset;word-wrap:unset;}.ui--Extrinsic--toplevel{margin-top:0.75rem;.ui--Labelled{padding-left:0;label{left:1.55rem;}}}"]);

exports.default = _default;