"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Card({
  children,
  className,
  isError,
  isSuccess,
  withBottomMargin
}) {
  return _react.default.createElement("article", {
    className: (0, _util.classes)('ui--Card', className, isError && !isSuccess && 'error', !isError && isSuccess && 'success', withBottomMargin && 'withBottomMargin')
  }, children);
}

var _default = (0, _styledComponents.default)(Card).withConfig({
  displayName: "Card",
  componentId: "sc-49i50d-0"
})(["position:relative;flex:1 1;min-width:24%;justify-content:space-around;label{opacity:0.42;}&:hover{label{opacity:1;}}&.error{background:rgba(255,0,0,0.05);&,h1,h2,h3,h4,h5,h6,p{color:rgba(156,0,0) !important;}}&.success{border:1px solid rgb(168,255,136);background:rgba(0,255,0,0.05);&,h1,h2,h3,h4,h5,h6,p{color:rgba(34,125,0) !important;}}&.withBottomMargin{margin-bottom:1.5rem;}i.help.circle.icon,.ui.button.mini,.ui.button.tiny,.addTags{visibility:hidden;}&:hover{i.help.circle.icon,.ui.button.mini,.ui.button.tiny,.addTags{visibility:visible;}}.ui--AddressSummary-buttons{text-align:right;margin-bottom:2em;button{margin-left:0.2em;}}"]);

exports.default = _default;