"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Collection = _interopRequireWildcard(require("./Collection"));

var _translate = _interopRequireDefault(require("./translate"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

class CardGrid extends _Collection.default {
  static getDerivedStateFromProps(props) {
    const state = super.getDerivedStateFromProps(props);
    return _objectSpread({}, state, {
      showHeader: !state.isEmpty || !!props.headerText
    });
  }

  renderEmpty() {
    const {
      buttons,
      emptyText,
      headerText,
      t
    } = this.props;

    if (headerText) {
      return super.renderEmpty();
    }

    return _react.default.createElement("div", {
      className: "ui--CardGrid-empty"
    }, _react.default.createElement("h2", null, emptyText || t('No items')), buttons && _react.default.createElement("div", {
      className: "ui--CardGrid-buttons"
    }, buttons), _react.default.createElement("div", {
      className: "ui--CardGrid-spacer"
    }));
  }

  renderCollection() {
    const {
      children
    } = this.props;
    return _react.default.createElement("div", {
      className: "ui--CardGrid-grid"
    }, children, _react.default.createElement("div", {
      className: "ui--CardGrid-spacer"
    }), _react.default.createElement("div", {
      className: "ui--CardGrid-spacer"
    }), _react.default.createElement("div", {
      className: "ui--CardGrid-spacer"
    }));
  }

}

var _default = (0, _translate.default)((0, _styledComponents.default)(CardGrid).withConfig({
  displayName: "CardGrid",
  componentId: "m5dq0-0"
})(["", " .ui--CardGrid-grid{display:flex;flex-wrap:wrap;> .ui--CardGrid-spacer{flex:1 1;margin:0.25rem;padding:0 1.5rem;}}.ui--CardGrid-lowercase{text-transform:lowercase;}.ui--Card,.ui--CardGrid-spacer{flex:1 1;min-width:40rem;max-width:71rem;}.ui--CardGrid-empty{display:flex;justify-content:center;align-items:center;flex-direction:column;margin:6rem 0;> h2{margin-bottom:2rem;}}"], _Collection.collectionStyles));

exports.default = _default;