"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactHooks = require("@polkadot/react-hooks");

var _empty = _interopRequireDefault(require("@polkadot/ui-assets/empty.svg"));

var _kusama = _interopRequireDefault(require("@polkadot/ui-assets/chains/kusama-128.gif"));

var _edgewareCircle = _interopRequireDefault(require("@polkadot/ui-assets/edgeware-circle.svg"));

var _polkadotCircle = _interopRequireDefault(require("@polkadot/ui-assets/polkadot-circle.svg"));

var _polkadotJs = _interopRequireDefault(require("@polkadot/ui-assets/polkadot-js.svg"));

var _substrateHexagon = _interopRequireDefault(require("@polkadot/ui-assets/substrate-hexagon.svg"));

// Copyright 2017-2020 @polkadot/apps authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
// the imports here as a bit all-over, non-aphabetical - since we expect this to grow,
// rather organise based on type, grouping chains and nodes as opposed to location
// last-resort fallback, just something empty
// anything fopr a specific chain, most items will probably go in here
// defaults for the node type, assuming we don't have a specific chain
// overrides based on the actual matched chain name
const CHAINS = {
  Kusama: _kusama.default,
  // old name, the W3F nodes still has these
  'Kusama CC1': _kusama.default,
  'Kusama CC2': _kusama.default,
  'Kusama CC3': _kusama.default
}; // overrides based on the actual software node type

const NODES = {
  'edgeware-node': _edgewareCircle.default,
  'node-template': _substrateHexagon.default,
  'parity-polkadot': _polkadotCircle.default,
  'polkadot-js': _polkadotJs.default,
  'substrate-node': _substrateHexagon.default
}; // overrides as specified

const LOGOS = {
  empty: _empty.default,
  edgeware: _edgewareCircle.default,
  alexander: _polkadotCircle.default,
  kusama: _kusama.default,
  polkadot: _polkadotCircle.default,
  substrate: _substrateHexagon.default,
  westend: _polkadotCircle.default
};

function ChainImg({
  className,
  logo = '',
  onClick
}) {
  const {
    systemChain,
    systemName
  } = (0, _reactHooks.useApi)();
  const img = LOGOS[logo] || CHAINS[systemChain] || NODES[systemName] || _empty.default;
  return _react.default.createElement("img", {
    alt: "chain logo",
    className: className,
    onClick: onClick,
    src: img
  });
}

var _default = (0, _styledComponents.default)(ChainImg).withConfig({
  displayName: "ChainImg",
  componentId: "dzxpyh-0"
})(["border-radius:50%;box-sizing:border-box;"]);

exports.default = _default;