"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactHooks = require("@polkadot/react-hooks");

var _chains = _interopRequireDefault(require("@polkadot/ui-settings/defaults/chains"));

var _translate = require("./translate");

var _Toggle = _interopRequireDefault(require("./Toggle"));

// Copyright 2017-2020 @polkadot/app-accounts authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function calcLock(apiGenesis, genesisHash) {
  if (!genesisHash) {
    return false;
  }

  return (Object.values(_chains.default).find(hashes => hashes.includes(apiGenesis)) || [apiGenesis]).includes(genesisHash);
}

function ChainLock({
  className,
  genesisHash,
  isDisabled,
  onChange,
  preventDefault
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  const {
    isDevelopment,
    api
  } = (0, _reactHooks.useApi)();
  const [isTiedToChain, setTied] = (0, _react.useState)(calcLock(api.genesisHash.toHex(), genesisHash));
  (0, _react.useEffect)(() => {
    setTied(calcLock(api.genesisHash.toHex(), genesisHash));
  }, [api, genesisHash]);

  if (isDevelopment) {
    return null;
  }

  const _onChange = isTiedToChain => onChange(isTiedToChain ? api.genesisHash.toHex() : null);

  return _react.default.createElement(_Toggle.default, {
    className: className,
    isDisabled: isDisabled,
    label: isTiedToChain ? t('only this network') : t('use on any network'),
    onChange: _onChange,
    preventDefault: preventDefault,
    value: isTiedToChain
  });
}

var _default = (0, _styledComponents.default)(ChainLock).withConfig({
  displayName: "ChainLock",
  componentId: "sc-1nmbcvk-0"
})(["text-align:right;"]);

exports.default = _default;