"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ChartDoughnut;

var _react = _interopRequireDefault(require("react"));

var _reactChartjs = require("react-chartjs-2");

var _util = require("@polkadot/util");

var _Base = _interopRequireDefault(require("./Base"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function ChartDoughnut({
  className,
  size = 100,
  style,
  values
}) {
  const options = {
    colorNormal: [],
    colorHover: [],
    data: [],
    labels: []
  }; // FIXME Classic case of kicking the can down the road, i.e. don't expend energy
  // when stuff are not used. This was replaced by the HorizBar as the only Chart
  // in actual use (by Referendum). However the below is not optimal, and gets re-
  // calculated on each render. If this component is put back in use, look at
  // getDerivedStateFromProps in HorizBar (the logic is the same for chartData)

  values.forEach(({
    colors: [normalColor = '#00f', hoverColor],
    label,
    value
  }) => {
    options.colorNormal.push(normalColor);
    options.colorHover.push(hoverColor || normalColor);
    options.data.push((0, _util.bnToBn)(value).toNumber());
    options.labels.push(label);
  });
  return _react.default.createElement(_Base.default, {
    className: className,
    style: style
  }, _react.default.createElement(_reactChartjs.Doughnut, {
    data: {
      labels: options.labels,
      datasets: [{
        data: options.data,
        backgroundColor: options.colorNormal,
        hoverBackgroundColor: options.colorHover
      }]
    },
    height: size,
    width: size
  }));
}