"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactCopyToClipboard = _interopRequireDefault(require("react-copy-to-clipboard"));

var _Context = _interopRequireDefault(require("./Status/Context"));

var _Button = _interopRequireDefault(require("./Button"));

var _translate = require("./translate");

var _styledComponents = _interopRequireDefault(require("styled-components"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function CopyButton({
  children,
  className,
  icon = 'copy',
  isAddress = false,
  value
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  const {
    queueAction
  } = (0, _react.useContext)(_Context.default);

  const _onCopy = () => {
    isAddress && queueAction && queueAction({
      account: value,
      action: t('clipboard'),
      status: 'queued',
      message: t('address copied')
    });
  };

  return _react.default.createElement("div", {
    className: className
  }, _react.default.createElement(_reactCopyToClipboard.default, {
    onCopy: _onCopy,
    text: value
  }, _react.default.createElement("div", {
    className: "copyContainer"
  }, children, _react.default.createElement("span", {
    className: "copySpan"
  }, _react.default.createElement(_Button.default, {
    className: "icon-button",
    icon: icon,
    size: "mini",
    isPrimary: true
  })))));
}

var _default = (0, _styledComponents.default)(CopyButton).withConfig({
  displayName: "CopyButton",
  componentId: "bmxo6f-0"
})(["cursor:copy;button.ui.mini.icon.primary.button.icon-button{cursor:copy;}.copySpan{white-space:nowrap;}"]);

exports.default = _default;