"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = CryptoType;

var _react = _interopRequireWildcard(require("react"));

var _uiKeyring = _interopRequireDefault(require("@polkadot/ui-keyring"));

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function CryptoType({
  accountId,
  className,
  label = ''
}) {
  const [type, setType] = (0, _react.useState)('unknown');
  (0, _react.useEffect)(() => {
    try {
      const current = accountId ? _uiKeyring.default.getPair(accountId.toString()) : null;

      if (current) {
        setType(current.meta.isInjected ? 'injected' : current.meta.isHardware ? current.meta.hardwareType || 'hardware' : current.meta.isExternal ? 'external' : current.type);
      }
    } catch (error) {// cannot determine, keep unknown
    }
  }, [accountId]);
  return _react.default.createElement("div", {
    className: (0, _util.classes)('ui--CryptoType', className)
  }, label, type);
}