"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Button = _interopRequireDefault(require("semantic-ui-react/dist/commonjs/elements/Button/Button"));

var _Dropdown = _interopRequireDefault(require("semantic-ui-react/dist/commonjs/modules/Dropdown/Dropdown"));

var _util = require("@polkadot/util");

var _util2 = require("./util");

var _Labelled = _interopRequireDefault(require("./Labelled"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Dropdown({
  allowAdd = false,
  className,
  defaultValue,
  dropdownClassName,
  help,
  isButton,
  isDisabled,
  isError,
  isFull,
  isMultiple,
  label,
  labelExtra,
  onAdd,
  onBlur,
  onChange,
  onClose,
  onSearch,
  options,
  placeholder,
  renderLabel,
  searchInput,
  style,
  transform,
  withEllipsis,
  withLabel,
  value
}) {
  const lastUpdate = (0, _react.useRef)('');
  const [stored, setStored] = (0, _react.useState)();

  const _setStored = value => {
    const json = JSON.stringify({
      v: value
    });

    if (lastUpdate.current !== json) {
      lastUpdate.current = json;
      setStored(value);
      onChange && onChange(transform ? transform(value) : value);
    }
  };

  (0, _react.useEffect)(() => {
    _setStored((0, _util.isUndefined)(value) ? defaultValue : value);
  }, [defaultValue, value]);

  const _onAdd = (_, {
    value
  }) => onAdd && onAdd(value);

  const _onChange = (_, {
    value
  }) => _setStored(value);

  const dropdown = _react.default.createElement(_Dropdown.default, {
    allowAdditions: allowAdd,
    className: dropdownClassName,
    button: isButton,
    compact: isButton,
    disabled: isDisabled,
    error: isError,
    floating: isButton,
    multiple: isMultiple,
    onAddItem: _onAdd,
    onBlur: onBlur,
    onChange: _onChange,
    onClose: onClose,
    options: options,
    placeholder: placeholder,
    renderLabel: renderLabel,
    search: onSearch || allowAdd,
    searchInput: searchInput,
    selection: true,
    value: stored
  });

  return isButton ? _react.default.createElement(_Button.default.Group, {
    primary: true
  }, dropdown) : _react.default.createElement(_Labelled.default, {
    className: (0, _util2.classes)('ui--Dropdown', className),
    help: help,
    isFull: isFull,
    label: label,
    labelExtra: labelExtra,
    style: style,
    withEllipsis: withEllipsis,
    withLabel: withLabel
  }, dropdown);
}

var _default = (0, _styledComponents.default)(Dropdown).withConfig({
  displayName: "Dropdown",
  componentId: "j3xwnl-0"
})([".ui--Dropdown-item{position:relative;white-space:nowrap;.ui--Dropdown-icon,.ui--Dropdown-name{display:inline-block;}.ui--Dropdown-icon{height:32px;left:0;position:absolute;top:-9px;width:32px;}.ui--Dropdown-name{margin-left:3rem;}}.ui.selection.dropdown{> .text > .ui--Dropdown-item{.ui--Dropdown-icon{left:-2.6rem;top:-1.15rem;opacity:1;}.ui--Dropdown-name{margin-left:0;}}}"]);

exports.default = _default;