import { BareProps } from '@polkadot/react-components/types';
import React from 'react';
interface Props extends BareProps {
    code: string;
    isValid?: boolean;
    onEdit: (code: string) => void;
}
/**
 * @name Editor
 * @summary A code editor based on the codeflask npm module
 * @description It allows to live-edit code examples and JSON files.
 *
 * @example
 * <BR>
 *
 * ```javascript
 * import {Editor} from '@polkadot/react-components';
 *
 * <Editor
 *    className={string} // optional
 *    code={string}
 *    isValid={boolean}, // optional
 *    onEdit={() => callbackFunction}
 *  />
 * ```
 */
declare function Editor({ className, code, isValid, onEdit }: Props): React.ReactElement<Props>;
declare const _default: import("styled-components").StyledComponent<typeof Editor, any, {}, never>;
export default _default;
