"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _translate = _interopRequireDefault(require("./translate"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
// NOTE: This is the only way to do an error boundary, via extend
class ErrorBoundary extends _react.default.Component {
  constructor(...args) {
    super(...args);
    this.state = {
      hasError: false
    };
  }

  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  static getDerivedStateFromError(_error) {
    // Update state so the next render will show the fallback UI.
    return {
      hasError: true
    };
  } // eslint-disable-next-line @typescript-eslint/no-unused-vars


  componentDidCatch(error, _errorInfo) {
    const {
      doThrow,
      onError
    } = this.props;
    onError && onError();

    if (doThrow) {
      throw error;
    }
  }

  render() {
    const {
      children,
      t
    } = this.props;
    const {
      hasError
    } = this.state;
    return hasError ? _react.default.createElement("article", {
      className: "error"
    }, t('Uncaught error. Something went wrong with the data extraction, resulting in an error log.')) : children;
  }

}

var _default = (0, _translate.default)(ErrorBoundary);

exports.default = _default;