"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = EventDisplay;

var _react = _interopRequireDefault(require("react"));

var _types = require("@polkadot/types");

var _reactParams = _interopRequireDefault(require("@polkadot/react-params"));

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function EventDisplay({
  children,
  className,
  style,
  value
}) {
  const params = value.typeDef.map(({
    type
  }) => ({
    type: (0, _types.getTypeDef)(type)
  }));
  const values = value.data.map(value => ({
    isValid: true,
    value
  }));
  return _react.default.createElement("div", {
    className: (0, _util.classes)('ui--Event', className),
    style: style
  }, children, _react.default.createElement(_reactParams.default, {
    isDisabled: true,
    params: params,
    values: values
  }));
}