"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Expanded;

var _react = _interopRequireWildcard(require("react"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Expanded({
  children,
  className,
  summary
}) {
  const [isExpanded, setIsExpanded] = (0, _react.useState)(false);

  const _toggle = event => {
    event.preventDefault();
    event.stopPropagation();
    setIsExpanded(!isExpanded);
  };

  return _react.default.createElement("details", {
    className: "ui--Expander ".concat(className),
    open: isExpanded
  }, _react.default.createElement("summary", {
    onClick: _toggle
  }, summary), isExpanded && children);
}