"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactMarkdown = _interopRequireDefault(require("react-markdown"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Icon = _interopRequireDefault(require("./Icon"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function HelpOverlay({
  className,
  md
}) {
  const [isVisible, setIsVisible] = (0, _react.useState)(false);

  const _toggleVisible = () => setIsVisible(!isVisible);

  return _react.default.createElement("div", {
    className: className
  }, _react.default.createElement("div", {
    className: "help-button"
  }, _react.default.createElement(_Icon.default, {
    name: "help circle",
    onClick: _toggleVisible
  })), _react.default.createElement("div", {
    className: "help-slideout ".concat(isVisible ? 'open' : 'closed')
  }, _react.default.createElement("div", {
    className: "help-button"
  }, _react.default.createElement(_Icon.default, {
    name: "close",
    onClick: _toggleVisible
  })), _react.default.createElement(_reactMarkdown.default, {
    className: "help-content",
    escapeHtml: false,
    source: md
  })));
}

var _default = (0, _styledComponents.default)(HelpOverlay).withConfig({
  displayName: "HelpOverlay",
  componentId: "gbvmjo-0"
})([".help-button{cursor:pointer;font-size:2rem;padding:1.25rem 1.5rem 0 0;}> .help-button{position:absolute;right:0rem;top:0rem;}.help-slideout{background:#eee;border-left:0.25rem solid #ddd;bottom:0;max-width:50rem;overflow-y:scroll;position:fixed;right:-50rem;top:0;transition-duration:.5s;transition-property:all;z-index:10;.help-button{text-align:right;}.help-content{padding:1rem 1.5rem 5rem;}&.open{right:0;}}"]);

exports.default = _default;