import { BareProps } from './types';
import React from 'react';
declare type Input$Type = 'number' | 'password' | 'text';
interface Props extends BareProps {
    autoFocus?: boolean;
    children?: React.ReactNode;
    defaultValue?: any;
    help?: React.ReactNode;
    icon?: React.ReactNode;
    isAction?: boolean;
    isDisabled?: boolean;
    isDisabledError?: boolean;
    isEditable?: boolean;
    isError?: boolean;
    isFull?: boolean;
    isHidden?: boolean;
    isReadOnly?: boolean;
    label?: React.ReactNode;
    labelExtra?: React.ReactNode;
    max?: any;
    maxLength?: number;
    min?: any;
    name?: string;
    onEnter?: () => void;
    onEscape?: () => void;
    onChange?: (value: string) => void;
    onBlur?: () => void;
    onKeyDown?: (event: React.KeyboardEvent<Element>) => void;
    onKeyUp?: (event: React.KeyboardEvent<Element>) => void;
    onKeyPress?: (event: React.KeyboardEvent<Element>) => void;
    onPaste?: (event: React.ClipboardEvent<Element>) => void;
    placeholder?: string;
    tabIndex?: number;
    type?: Input$Type;
    value?: any;
    withLabel?: boolean;
    withEllipsis?: boolean;
}
declare const KEYS: {
    A: string;
    ALT: string;
    ARROW_LEFT: string;
    ARROW_RIGHT: string;
    BACKSPACE: string;
    C: string;
    CMD: string;
    CTRL: string;
    ENTER: string;
    ESCAPE: string;
    TAB: string;
    V: string;
    X: string;
    ZERO: string;
    DECIMAL: string;
};
declare const KEYS_PRE: any[];
declare const isCopy: (key: string, isPreKeyDown: boolean) => boolean;
declare const isCut: (key: string, isPreKeyDown: boolean) => boolean;
declare const isPaste: (key: string, isPreKeyDown: boolean) => boolean;
declare const isSelectAll: (key: string, isPreKeyDown: boolean) => boolean;
export default function Input({ autoFocus, children, className, defaultValue, help, icon, isEditable, isAction, isDisabled, isDisabledError, isError, isFull, isHidden, isReadOnly, label, labelExtra, max, maxLength, min, name, onBlur, onChange, onEnter, onEscape, onKeyDown, onKeyUp, onPaste, placeholder, style, tabIndex, type, value, withEllipsis, withLabel }: Props): React.ReactElement<Props>;
export { isCopy, isCut, isPaste, isSelectAll, KEYS, KEYS_PRE };
