"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactHooks = require("@polkadot/react-hooks");

var _translate = require("./translate");

var _AddressToggle = _interopRequireDefault(require("./AddressToggle"));

var _Input = _interopRequireDefault(require("./Input"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function InputAddressMulti({
  available,
  className,
  help,
  label,
  maxCount,
  onChange,
  value
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  const [_filter, setFilter] = (0, _react.useState)('');
  const filter = (0, _reactHooks.useDebounce)(_filter);

  const _onClick = key => isChecked => {
    let newValues = value.filter(address => address !== key);

    if (isChecked) {
      newValues = [key].concat(newValues).slice(0, maxCount);
    }

    onChange(newValues);
  };

  return _react.default.createElement("div", {
    className: "ui--InputAddressMulti ".concat(className)
  }, _react.default.createElement(_Input.default, {
    autoFocus: true,
    className: "ui--InputAddressMulti-Input",
    help: help,
    label: label,
    onChange: setFilter,
    placeholder: t('partial name, address or account index'),
    value: _filter
  }), _react.default.createElement("div", {
    className: "ui--InputAddressMulti-container"
  }, available.map(key => _react.default.createElement(_AddressToggle.default, {
    address: key,
    filter: filter,
    key: key,
    onChange: _onClick(key),
    value: value.includes(key)
  }))));
}

var _default = (0, _styledComponents.default)(InputAddressMulti).withConfig({
  displayName: "InputAddressMulti",
  componentId: "sc-9msegx-0"
})([".ui--InputAddressMulti-Input{.ui.input{margin-bottom:0rem;input{border-bottom-width:0px;border-bottom-right-radius:0px;border-bottom-left-radius:0px;}}}.ui--InputAddressMulti-container{background:white;border:1px solid rgba(34,36,38,.15);border-top-width:0px;border-radius:0 0 0.25rem 0.25rem;margin-left:2rem;max-height:15rem;overflow-y:scroll;padding:0.25rem 0.5rem;display:flex;flex-wrap:wrap;justify-content:center;.ui--AddressToggle{}}"]);

exports.default = _default;