"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _toAddress = _interopRequireDefault(require("./util/toAddress"));

var _IdentityIcon = _interopRequireDefault(require("./IdentityIcon"));

var _Input = _interopRequireDefault(require("./Input"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function InputAddressSimple({
  children,
  className,
  defaultValue,
  help,
  isFull,
  label,
  onChange,
  onEnter,
  onEscape
}) {
  const [address, setAddress] = (0, _react.useState)(defaultValue || null);

  const _onChange = _address => {
    const address = (0, _toAddress.default)(_address) || null;
    setAddress(address);
    onChange && onChange(address);
  };

  return _react.default.createElement("div", {
    className: className
  }, _react.default.createElement(_Input.default, {
    defaultValue: defaultValue,
    help: help,
    isError: !address,
    isFull: isFull,
    label: label,
    onChange: _onChange,
    onEnter: onEnter,
    onEscape: onEscape
  }, children), _react.default.createElement(_IdentityIcon.default, {
    className: "ui--InputAddressSimpleIcon",
    size: 32,
    value: address
  }));
}

var _default = (0, _styledComponents.default)(InputAddressSimple).withConfig({
  displayName: "InputAddressSimple",
  componentId: "sc-5ams6n-0"
})(["position:relative;.ui--InputAddressSimpleIcon{background:#eee;border:1px solid #888;border-radius:50%;left:0.75rem;position:absolute;top:1rem;}"]);

exports.default = _default;