"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("@polkadot/react-components/constants");

var _reactComponents = require("@polkadot/react-components");

var _util = require("@polkadot/util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const DEFAULT_BITLENGTH = _constants.BitLengthOption.CHAIN_SPEC;

function InputBalance({
  autoFocus,
  className,
  defaultValue: inDefault,
  help,
  isDisabled,
  isError,
  isFull,
  isZeroable,
  label,
  labelExtra,
  maxValue,
  onChange,
  onEnter,
  onEscape,
  placeholder,
  style,
  value,
  withEllipsis,
  withLabel,
  withMax
}) {
  const defaultValue = inDefault ? (0, _util.formatBalance)(inDefault, {
    forceUnit: '-',
    withSi: false
  }).replace(',', isDisabled ? ',' : '') : inDefault;
  return _react.default.createElement(_reactComponents.InputNumber, {
    autoFocus: autoFocus,
    className: "ui--InputBalance ".concat(className),
    bitLength: DEFAULT_BITLENGTH,
    defaultValue: defaultValue,
    help: help,
    isDisabled: isDisabled,
    isError: isError,
    isFull: isFull,
    isZeroable: isZeroable,
    isSi: true,
    label: label,
    labelExtra: labelExtra,
    maxValue: maxValue,
    onChange: onChange,
    onEnter: onEnter,
    onEscape: onEscape,
    placeholder: placeholder,
    style: style,
    value: value,
    withEllipsis: withEllipsis,
    withLabel: withLabel,
    withMax: withMax
  });
}

var _default = (0, _styledComponents.default)(InputBalance).withConfig({
  displayName: "InputBalance",
  componentId: "vkoy51-0"
})(["&&:not(.label-small) .labelExtra{right:6.5rem;}.ui.action.input.ui--Input .ui.primary.buttons .ui.disabled.button.compact.floating.selection.dropdown.ui--SiDropdown{border-style:solid;opacity:1 !important;}"]);

exports.default = _default;