"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = InputConsts;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _reactHooks = require("@polkadot/react-hooks");

var _LinkedWrapper = _interopRequireDefault(require("../InputExtrinsic/LinkedWrapper"));

var _SelectKey = _interopRequireDefault(require("./SelectKey"));

var _SelectSection = _interopRequireDefault(require("./SelectSection"));

var _key = _interopRequireDefault(require("./options/key"));

var _section = _interopRequireDefault(require("./options/section"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function getValue(api, {
  method,
  section
}) {
  const firstSec = Object.keys(api.consts)[0];
  const firstMet = Object.keys(api.consts[firstSec])[0];
  const value = api.consts[section] && api.consts[section][method] ? {
    method,
    section
  } : {
    method: firstMet,
    section: firstSec
  };
  return _objectSpread({}, value, {
    meta: api.consts[value.section][value.method].meta
  });
}

function InputConsts({
  className,
  defaultValue,
  help,
  label,
  onChange,
  style,
  withLabel
}) {
  const {
    api
  } = (0, _reactHooks.useApi)();
  const [optionsMethod, setOptionsMethod] = (0, _react.useState)((0, _key.default)(api, defaultValue.section));
  const [optionsSection] = (0, _react.useState)((0, _section.default)(api));
  const [value, setValue] = (0, _react.useState)(getValue(api, defaultValue));

  const _onKeyChange = newValue => {
    if (value.section === newValue.section && value.method === newValue.method) {
      return;
    }

    const {
      method,
      section
    } = newValue;
    const meta = api.consts[section][method].meta;
    const updated = {
      meta,
      method,
      section
    };
    setValue(updated);
    onChange && onChange(updated);
  };

  const _onSectionChange = section => {
    if (section === value.section) {
      return;
    }

    const optionsMethod = (0, _key.default)(api, section);
    setOptionsMethod(optionsMethod);

    _onKeyChange({
      method: optionsMethod[0].value,
      section
    });
  };

  return _react.default.createElement(_LinkedWrapper.default, {
    className: className,
    help: help,
    label: label,
    style: style,
    withLabel: withLabel
  }, _react.default.createElement(_SelectSection.default, {
    className: "small",
    onChange: _onSectionChange,
    options: optionsSection,
    value: value
  }), _react.default.createElement(_SelectKey.default, {
    className: "large",
    onChange: _onKeyChange,
    options: optionsMethod,
    value: value
  }));
}