"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SelectMethod;

var _react = _interopRequireDefault(require("react"));

var _jsonrpc = _interopRequireDefault(require("@polkadot/jsonrpc"));

var _Dropdown = _interopRequireDefault(require("../Dropdown"));

var _util = require("../util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function transform({
  value
}) {
  return function (method) {
    return _jsonrpc.default[value.section].methods[method];
  };
}

function SelectMethod(props) {
  const {
    className,
    isError,
    onChange,
    options,
    style,
    value
  } = props;

  if (!options.length) {
    return null;
  }

  return _react.default.createElement(_Dropdown.default, {
    className: (0, _util.classes)('ui--DropdownLinked-Items', className),
    isError: isError,
    onChange: onChange,
    options: options,
    style: style,
    transform: transform(props),
    value: value.method,
    withLabel: false
  });
}