"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SelectKey;

var _react = _interopRequireDefault(require("react"));

var _reactHooks = require("@polkadot/react-hooks");

var _Dropdown = _interopRequireDefault(require("../Dropdown"));

var _util = require("../util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function transform(api, {
  value
}) {
  return function (method) {
    return api.query[value.creator.section] ? api.query[value.creator.section][method] : value;
  };
}

function SelectKey(props) {
  const {
    api
  } = (0, _reactHooks.useApi)();
  const {
    className,
    isError,
    onChange,
    options,
    style,
    value
  } = props;

  if (!options.length) {
    return null;
  }

  return _react.default.createElement(_Dropdown.default, {
    className: (0, _util.classes)('ui--DropdownLinked-Items', className),
    isError: isError,
    onChange: onChange,
    options: options,
    style: style,
    transform: transform(api, props),
    value: value.creator.method,
    withLabel: false
  });
}