"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createOptions;

var _react = _interopRequireDefault(require("react"));

var _StorageKey = require("@polkadot/types/primitive/StorageKey");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function createOptions(api, sectionName) {
  const section = api.query[sectionName];

  if (!section || Object.keys(section).length === 0) {
    return [];
  }

  return Object.keys(section).sort().map(value => {
    const method = section[value];
    const type = method.meta.type;
    const input = type.isMap ? type.asMap.key.toString() : type.isDoubleMap ? "".concat(type.asDoubleMap.key1, ", ").concat(type.asDoubleMap.key2) : '';
    const output = method.meta.modifier.isOptional ? "Option<".concat((0, _StorageKey.unwrapStorageType)(type), ">") : (0, _StorageKey.unwrapStorageType)(type);
    return {
      className: 'ui--DropdownLinked-Item',
      key: "".concat(sectionName, "_").concat(value),
      text: [_react.default.createElement("div", {
        className: "ui--DropdownLinked-Item-call",
        key: "".concat(sectionName, "_").concat(value, ":call")
      }, value, "(", input, "): ", output), _react.default.createElement("div", {
        className: "ui--DropdownLinked-Item-text",
        key: "".concat(sectionName, "_").concat(value, ":text")
      }, (method.meta.documentation[0] || method.meta.name).toString())],
      value
    };
  });
}