"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRouterDom = require("react-router-dom");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _util = require("./util");

// Copyright 2017-2020 @polkadot/app-democracy authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Inset({
  children,
  className,
  header,
  href,
  isCollapsible,
  isError,
  isSuccess,
  withBottomMargin,
  withTopMargin
}) {
  const history = (0, _reactRouterDom.useHistory)();
  const [isCollapsed, setIsCollapsed] = (0, _react.useState)(true);

  if (!children) {
    return null;
  }

  const _onClick = () => {
    href && history.push(href);
  };

  const _toggleCollapsed = () => setIsCollapsed(!isCollapsed);

  return _react.default.createElement("div", {
    className: (0, _util.classes)('ui--Inset', href && 'as-link', isCollapsible && 'collapsible', isError && !isSuccess && 'error', !isError && isSuccess && 'success', withBottomMargin && 'bottom-margin', withTopMargin && 'top-margin', className)
  }, isCollapsible && _react.default.createElement("div", {
    className: "header",
    onClick: _toggleCollapsed
  }, _react.default.createElement("h3", null, header), _react.default.createElement(_Icon.default, {
    className: (0, _util.classes)(isCollapsed && 'collapsed'),
    name: "angle up"
  })), _react.default.createElement("div", {
    className: (0, _util.classes)('children', isCollapsible && isCollapsed && 'collapsed'),
    onClick: _onClick
  }, children));
}

var _default = (0, _styledComponents.default)(Inset).withConfig({
  displayName: "Inset",
  componentId: "sc-1mc3aus-0"
})(["&{box-shadow:0 3px 3px rgba(0,0,0,.2);position:relative;background:#fefefe;padding:1rem;transition:all 0.2s;display:flex;flex-direction:column;&.bottom-margin{margin-bottom:2rem;}&.top-margin{margin-top:2rem;}&.error{background:rgba(255,0,0,0.05);&,h1,h2,h3,h4,h5,h6,p{color:rgba(156,0,0) !important;}}&.success{border:1px solid rgb(168,255,136);background:rgba(0,255,0,0.05);&,h1,h2,h3,h4,h5,h6,p{color:rgba(34,125,0) !important;}}.header{cursor:pointer;height:2rem;width:100%;h3{line-height:2rem;margin-bottom:0;}.icon{height:4rem;width:4rem;font-size:2rem;color:rgba(0,0,0,0.35);position:absolute;right:0;top:0;line-height:4rem;transition:all 0.2s;transform-origin:center center;&.collapsed{transform:rotate(180deg);}}}.children{&.collapsed{display:none;}}&.as-link{cursor:pointer;&:hover{box-shadow:0 5px 5px rgba(0,0,0,.2);transform:translateY(-2px);}}}"]);

exports.default = _default;