"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _util = require("./util");

var _Tooltip = _interopRequireDefault(require("./Tooltip"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function LabelHelp({
  className,
  help,
  style
}) {
  const [isTooltipOpen, setIsTooltipOpen] = (0, _react.useState)(false);

  const _toggleTooltip = () => setIsTooltipOpen(!isTooltipOpen);

  return _react.default.createElement("div", {
    className: (0, _util.classes)('ui--LabelHelp', className),
    style: style
  }, _react.default.createElement(_Icon.default, {
    name: "help circle",
    "data-tip": true,
    "data-for": "controlled-trigger",
    onMouseOver: _toggleTooltip,
    onMouseOut: _toggleTooltip
  }), isTooltipOpen && _react.default.createElement(_Tooltip.default, {
    text: help,
    trigger: "controlled-trigger"
  }));
}

var _default = (0, _styledComponents.default)(LabelHelp).withConfig({
  displayName: "LabelHelp",
  componentId: "sc-1hk9xrc-0"
})(["cursor:help;display:inline-block;line-height:1rem;margin:0 0 0 0.25rem;"]);

exports.default = _default;