"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Labelled;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _LabelHelp = _interopRequireDefault(require("./LabelHelp"));

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const defaultLabel = _react.default.createElement("div", null, "\xA0");

const Wrapper = _styledComponents.default.div.withConfig({
  displayName: "Labelled__Wrapper",
  componentId: "sc-8bfkpc-0"
})(["display:block;position:relative;.withEllipsis{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;}&.label-small{display:block;> label{margin:0;min-width:0;padding-right:0;}}&:not(.label-small){padding-left:2rem;&:not(.label-outer){> label,.labelExtra{position:absolute;text-align:left;top:0.5rem;z-index:1;}> label{left:3.55rem;text-align:left;}}&.label-full{padding-left:0;> label{left:1.55rem;}}.labelExtra{color:rgba(78,78,78,.85);font-weight:100;right:1.75rem;text-align:right;}> .ui--Labelled-content{box-sizing:border-box;flex:1 1;min-width:0;.ui.selection.dropdown{&:not(.floating){padding-left:1.45rem;padding-top:1.75rem;}&.floating{> .dropdown.icon{top:1.25rem;}.text{padding:0.45rem 0}}&.search:not(.multiple) > input.search{padding-left:1.45rem;padding-top:1.75rem;}> .delete.icon,> .dropdown.icon,> .search.icon{top:1.75rem;}}.ui.input > input,.ui--output{padding-left:1.45rem;padding-top:1.75rem;}.ui--InputFile,.ui--Messages{padding-left:1.45rem;padding-top:2rem;}.ui--Messages{padding-bottom:2rem;}}}"]);

function Labelled({
  className,
  children,
  help,
  isFull,
  isHidden,
  isOuter,
  isSmall,
  label = defaultLabel,
  labelExtra,
  style,
  withEllipsis,
  withLabel = true
}) {
  if (isHidden) {
    return null;
  } else if (!withLabel) {
    return _react.default.createElement("div", {
      className: className
    }, children);
  }

  return _react.default.createElement(Wrapper, {
    className: (0, _util.classes)('ui--Labelled', isSmall && 'label-small', isFull && 'label-full', isOuter && 'label-outer', className),
    style: style
  }, _react.default.createElement("label", null, withEllipsis ? _react.default.createElement("div", {
    className: "withEllipsis"
  }, label) : label, help && _react.default.createElement(_LabelHelp.default, {
    help: help
  })), labelExtra && _react.default.createElement("div", {
    className: "labelExtra"
  }, labelExtra), _react.default.createElement("div", {
    className: "ui--Labelled-content"
  }, children));
}