"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactHooks = require("@polkadot/react-hooks");

var _translate = require("./translate");

var _Icon = _interopRequireDefault(require("./Icon"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const BASE = 'https://polkascan.io/pre/';
const CHAINS = {
  Alexander: 'alexander',
  Kulupu: 'kulupu',
  Kusama: 'kusama-cc1',
  // old name via W3F nodes
  'Kusama CC1': 'kusama-cc1',
  'Kusama CC2': 'kusama-cc2',
  'Kusama CC3': 'kusama-cc3',
  Westend: 'westend'
};
const TYPES = {
  address: '/module/account/',
  block: '/system/block/',
  extrinsic: '/system/extrinsic/'
};

function LinkPolkascan({
  className,
  data,
  type,
  withShort
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  const {
    systemChain
  } = (0, _reactHooks.useApi)();
  const extChain = CHAINS[systemChain];
  const extType = TYPES[type];

  if (!extChain || !extType) {
    return null;
  }

  return _react.default.createElement("div", {
    className: "".concat(className, " ").concat(withShort ? 'withShort' : '')
  }, _react.default.createElement("a", {
    href: "".concat(BASE).concat(extChain).concat(extType).concat(data),
    rel: "noopener noreferrer",
    target: "_blank"
  }, withShort ? _react.default.createElement(_Icon.default, {
    name: "external"
  }) : t('View this {{type}} on Polkascan.io', {
    replace: {
      type
    }
  })));
}

var _default = (0, _styledComponents.default)(LinkPolkascan).withConfig({
  displayName: "LinkPolkascan",
  componentId: "sc-1fbkans-0"
})(["margin-top:1rem;text-align:right;"]);

exports.default = _default;