"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _Modal = _interopRequireDefault(require("semantic-ui-react/dist/commonjs/modules/Modal/Modal"));

var _Button = _interopRequireDefault(require("./Button"));

var _ButtonCancel = _interopRequireDefault(require("./ButtonCancel"));

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Modal(props) {
  const {
    className,
    children,
    header,
    open = true
  } = props;
  return _react.default.createElement(_Modal.default, (0, _extends2.default)({}, props, {
    className: (0, _util.classes)('theme--default', 'ui--Modal', className),
    dimmer: "inverted",
    header: undefined,
    open: open
  }), header && _react.default.createElement(_Modal.default.Header, null, header), children);
}

function Actions({
  cancelLabel,
  className,
  children,
  withOr = true,
  onCancel
}) {
  return _react.default.createElement(_Modal.default.Actions, null, _react.default.createElement(_Button.default.Group, {
    className: className
  }, _react.default.createElement(_ButtonCancel.default, {
    label: cancelLabel,
    onClick: onCancel
  }), withOr && _react.default.createElement(_Button.default.Or, null), children));
}

Modal.Actions = Actions;
Modal.Content = _Modal.default.Content;
Modal.Header = _Modal.default.Header;
Modal.Description = _Modal.default.Description;
var _default = Modal;
exports.default = _default;