"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Call;

var _react = _interopRequireDefault(require("react"));

var _reactHooks = require("@polkadot/react-hooks");

var _Extrinsic = _interopRequireDefault(require("./Extrinsic"));

// Copyright 2017-2020 @polkadot/app-extrinsics authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Call({
  className,
  isDisabled,
  isError,
  label,
  onChange,
  onEnter,
  onEscape,
  style,
  withLabel
}) {
  const {
    api,
    apiDefaultTx
  } = (0, _reactHooks.useApi)();

  const defaultValue = (() => {
    try {
      return api.tx.balances.transfer;
    } catch (error) {
      return apiDefaultTx;
    }
  })();

  return _react.default.createElement(_Extrinsic.default, {
    className: className,
    defaultValue: defaultValue,
    isDisabled: isDisabled,
    isError: isError,
    isPrivate: false,
    label: label,
    onChange: onChange,
    onEnter: onEnter,
    onEscape: onEscape,
    style: style,
    withLabel: withLabel
  });
}