"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ExtrinsicDisplay;

var _react = _interopRequireDefault(require("react"));

var _Extrinsic = _interopRequireDefault(require("../Extrinsic"));

// Copyright 2017-2020 @polkadot/app-extrinsics authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function onChange({
  onChange
}) {
  return method => {
    onChange && onChange({
      isValid: !!method,
      value: method
    });
  };
}

function ExtrinsicDisplay(props) {
  const {
    className,
    defaultValue,
    isDisabled,
    isError,
    isPrivate,
    label,
    onEnter,
    onEscape,
    style,
    withLabel
  } = props;
  return _react.default.createElement(_Extrinsic.default, {
    className: className,
    defaultValue: defaultValue,
    isDisabled: isDisabled,
    isError: isError,
    isPrivate: isPrivate,
    label: label,
    onChange: onChange(props),
    onEnter: onEnter,
    onEscape: onEscape,
    style: style,
    withLabel: withLabel
  });
}