"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ProposalDisplay;

var _react = _interopRequireDefault(require("react"));

var _types = require("@polkadot/types");

var _reactApi = require("@polkadot/react-api");

var _reactHooks = require("@polkadot/react-hooks");

var _Extrinsic = _interopRequireDefault(require("./Extrinsic"));

// Copyright 2017-2020 @polkadot/app-extrinsics authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function onChange({
  onChange
}) {
  return function ({
    isValid,
    value
  }) {
    let proposal = null;

    if (isValid && value) {
      proposal = (0, _types.createType)(_reactApi.registry, 'Proposal', value);
    }

    onChange && onChange({
      isValid,
      value: proposal
    });
  };
}

function ProposalDisplay(props) {
  const {
    apiDefaultTxSudo
  } = (0, _reactHooks.useApi)();
  const {
    className,
    isDisabled,
    isError,
    label,
    onEnter,
    onEscape,
    style,
    withLabel
  } = props;
  return _react.default.createElement(_Extrinsic.default, {
    className: className,
    defaultValue: apiDefaultTxSudo,
    isDisabled: isDisabled,
    isError: isError,
    isPrivate: true,
    label: label,
    onChange: onChange(props),
    onEnter: onEnter,
    onEscape: onEscape,
    style: style,
    withLabel: withLabel
  });
}