"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Password;

var _react = _interopRequireWildcard(require("react"));

var _defaults = require("@polkadot/ui-keyring/defaults");

var _util = require("./util");

var _Button = _interopRequireDefault(require("./Button"));

var _Input = _interopRequireDefault(require("./Input"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Password({
  autoFocus,
  children,
  className,
  defaultValue,
  help,
  isDisabled,
  isError,
  isFull,
  label,
  labelExtra,
  name,
  onChange,
  onEnter,
  onEscape,
  style,
  tabIndex,
  value,
  withLabel
}) {
  const [isVisible, setIsVisible] = (0, _react.useState)(false);

  const _toggleVisible = () => setIsVisible(!isVisible);

  return _react.default.createElement(_Input.default, {
    autoFocus: autoFocus,
    className: (0, _util.classes)('ui--Password', className),
    defaultValue: defaultValue,
    help: help,
    isAction: true,
    isDisabled: isDisabled,
    isError: isError,
    isFull: isFull,
    label: label,
    labelExtra: labelExtra,
    maxLength: _defaults.MAX_PASS_LEN,
    name: name,
    onChange: onChange,
    onEnter: onEnter,
    onEscape: onEscape,
    style: style,
    tabIndex: tabIndex,
    type: isVisible ? 'text' : 'password',
    value: value,
    withLabel: withLabel
  }, _react.default.createElement(_Button.default, {
    icon: isVisible ? 'hide' : 'unhide',
    isPrimary: true,
    onClick: _toggleVisible
  }), children);
}