"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.styles = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _reactApi = require("@polkadot/react-api");

var _util = require("@polkadot/util");

var _Call = _interopRequireDefault(require("./Call"));

var _Inset = _interopRequireDefault(require("./Inset"));

var _TreasuryProposal = _interopRequireDefault(require("./TreasuryProposal"));

var _util2 = require("./util");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const styles = "\n  margin-bottom: 1rem;\n\n  .ui--ProposedAction-extrinsic {\n    .ui--Params-Content {\n      padding-left: 0;\n    }\n  }\n\n  .ui--ProposedAction-header {\n    margin-bottom: 1rem;\n  }\n";
exports.styles = styles;

function ProposedAction({
  className,
  asInset,
  idNumber,
  insetProps,
  isCollapsible = true,
  proposal,
  withLinks,
  expandNested
}) {
  const stringId = (0, _util.isString)(idNumber) ? idNumber : (0, _util.formatNumber)(idNumber);

  if (!proposal) {
    return _react.default.createElement("h3", null, "#", stringId);
  }

  const {
    meta,
    method,
    section
  } = _reactApi.registry.findMetaCall(proposal.callIndex);

  const header = "#".concat(stringId, ": ").concat(section, ".").concat(method);
  const documentation = (meta === null || meta === void 0 ? void 0 : meta.documentation) ? _react.default.createElement("summary", null, meta.documentation.join(' ')) : null;
  const params = (0, _util2.isTreasuryProposalVote)(proposal) && expandNested ? _react.default.createElement(_TreasuryProposal.default, {
    asInset: withLinks,
    insetProps: _objectSpread({
      withTopMargin: true,
      withBottomMargin: true
    }, withLinks ? {
      href: '/treasury'
    } : {}),
    proposalId: proposal.args[0].toString()
  }) : _react.default.createElement(_Call.default, {
    value: proposal
  });

  if (asInset) {
    return _react.default.createElement(_Inset.default, (0, _extends2.default)({
      header: header,
      isCollapsible: true
    }, insetProps), _react.default.createElement(_react.default.Fragment, null, documentation, params));
  }

  return _react.default.createElement("div", {
    className: "ui--ProposedAction ".concat(className)
  }, _react.default.createElement("h3", null, header), isCollapsible ? _react.default.createElement("details", null, documentation, params) : _react.default.createElement(_react.default.Fragment, null, _react.default.createElement("details", null, documentation), params));
}

var _default = (0, _styledComponents.default)(ProposedAction).withConfig({
  displayName: "ProposedAction",
  componentId: "sc-1gz4muk-0"
})(["", ""], styles);

exports.default = _default;