"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Tabs;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _util = require("./util");

var _Icon = _interopRequireDefault(require("./Icon"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const MyIcon = (0, _styledComponents.default)(_Icon.default).withConfig({
  displayName: "Tabs__MyIcon",
  componentId: "sc-1kd1f29-0"
})(["&&&{width:1rem;margin:0.7rem 0;}"]);

function renderItem({
  basePath,
  isSequence,
  items
}) {
  return function Tab(_ref, index) {
    let {
      hasParams,
      isRoot,
      name,
      text
    } = _ref,
        tab = (0, _objectWithoutProperties2.default)(_ref, ["hasParams", "isRoot", "name", "text"]);
    const to = isRoot ? basePath : "".concat(basePath, "/").concat(name); // only do exact matching when not the fallback (first position tab),
    // params are problematic for dynamic hidden such as app-accounts

    const isExact = tab.isExact || !hasParams || !isSequence && index === 0;
    return _react.default.createElement(_react.default.Fragment, {
      key: to
    }, _react.default.createElement(_reactRouterDom.NavLink, {
      activeClassName: "active",
      className: "item",
      exact: isExact,
      strict: isExact,
      to: to
    }, text), isSequence && index < items.length - 1 && _react.default.createElement(MyIcon, {
      name: "arrow right"
    }));
  };
}

function Tabs(props) {
  const {
    className,
    hidden = [],
    items,
    style
  } = props;
  return _react.default.createElement("div", {
    className: (0, _util.classes)('ui--Menu ui menu tabular', className),
    style: style
  }, items.filter(({
    name
  }) => !hidden.includes(name)).map(renderItem(props)));
}