"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Checkbox = _interopRequireDefault(require("semantic-ui-react/dist/commonjs/modules/Checkbox"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function Toggle({
  className,
  asSwitch = true,
  defaultValue,
  isDisabled,
  onChange,
  preventDefault,
  value,
  label
}) {
  const _onChange = (event, {
    checked
  }) => {
    if (preventDefault) {
      event.preventDefault();
      event.stopPropagation();
    }

    onChange && onChange(checked);
  };

  return _react.default.createElement("div", {
    className: className
  }, _react.default.createElement("label", null, label), _react.default.createElement(_Checkbox.default, {
    checked: value,
    disabled: isDisabled,
    defaultChecked: defaultValue,
    onChange: _onChange,
    toggle: asSwitch
  }));
}

var _default = (0, _styledComponents.default)(Toggle).withConfig({
  displayName: "Toggle",
  componentId: "sc-1qymxc-0"
})(["> label{display:inline-block;margin:0 0.5rem;}> label,> .ui.checkbox{vertical-align:middle;}.ui.checkbox + label{color:rgba(78,78,78,0.75);}"]);

exports.default = _default;