"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _reactTooltip = _interopRequireDefault(require("react-tooltip"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _util = require("./util");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const rootElement = document.getElementById('tooltips');

function Tooltip({
  className,
  effect = 'solid',
  offset,
  place = 'bottom',
  text,
  trigger
}) {
  const [tooltipContainer] = (0, _react.useState)(document.createElement('div'));
  (0, _react.useEffect)(() => {
    if (rootElement !== null) {
      rootElement.appendChild(tooltipContainer);
    }

    return () => {
      if (rootElement !== null) {
        rootElement.removeChild(tooltipContainer);
      }
    };
  }, []);
  return _reactDom.default.createPortal(_react.default.createElement(_reactTooltip.default, {
    id: trigger,
    effect: effect,
    offset: offset,
    place: place,
    className: (0, _util.classes)('ui--Tooltip', className)
  }, text), tooltipContainer);
}

var _default = (0, _styledComponents.default)(Tooltip).withConfig({
  displayName: "Tooltip",
  componentId: "sc-9033hr-0"
})(["table{border:0;td{text-align:left;}td:first-child{opacity:0.75;padding-right:0.25rem;text-align:right;white-space:nowrap;}}div+table,table+div{margin-top:0.75rem;}"]);

exports.default = _default;