"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _reactComponents = require("@polkadot/react-components");

var _util = require("@polkadot/util");

var _translate = _interopRequireDefault(require("./translate"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function TxModal(_ref) {
  let {
    t,
    accountId,
    onChangeAccountId,
    sendTx,
    isSending,
    trigger: Trigger,
    header = t('Submit signed extrinsic'),
    children,
    preContent,
    isDisabled = false,
    isSubmittable = true,
    modalProps = {},
    inputAddressExtra,
    inputAddressLabel = t('using my account'),
    inputAddressHelp = t('Select the account to use for this action.'),
    inputAddressProps = {},
    submitButtonIcon = 'sign-in',
    submitButtonLabel = t('Submit'),
    submitButtonProps = {}
  } = _ref,
      props = (0, _objectWithoutProperties2.default)(_ref, ["t", "accountId", "onChangeAccountId", "sendTx", "isSending", "trigger", "header", "children", "preContent", "isDisabled", "isSubmittable", "modalProps", "inputAddressExtra", "inputAddressLabel", "inputAddressHelp", "inputAddressProps", "submitButtonIcon", "submitButtonLabel", "submitButtonProps"]);
  const isControlled = !(0, _util.isUndefined)(props.isOpen);
  const [isOpen, setIsOpen] = (0, _react.useState)(isControlled ? props.isOpen : false);

  const onOpen = () => {
    !isControlled && setIsOpen(true);
    props.onOpen && props.onOpen();
  };

  const onClose = () => {
    !isControlled && setIsOpen(false);
    props.onClose && props.onClose();
  };

  const onSend = () => {
    sendTx();
    onClose();
  }; // const onStart = (): void => {
  //   props.onSubmit && props.onSubmit();
  // };
  // const onFailed = (): void => {
  //   props.onFailed && props.onFailed();
  // };
  // const onSuccess = (): void => {
  //   !isControlled && setIsOpen(false);
  //   props.onSuccess && props.onSuccess();
  // };
  // const txState = useTx(
  //   txSource,
  //   {
  //     ...(props.accountId ? { accountId: props.accountId } : {}),
  //     onChangeAccountId: props.onChangeAccountId,
  //     onStart,
  //     onFailed,
  //     onSuccess
  //   }
  // );
  // const { accountId, onChangeAccountId, isSending, sendTx } = th


  (0, _react.useEffect)(() => {
    !(0, _util.isUndefined)(props.isOpen) && setIsOpen(props.isOpen);
  }, [props.isOpen]);

  const allModalProps = _objectSpread({
    className: ['ui--Modal', modalProps.className || ''].join(' '),
    dimmer: 'inverted',
    header
  }, modalProps, {
    onClose,
    open: isOpen
  });

  return _react.default.createElement(_react.default.Fragment, null, Trigger && _react.default.createElement(Trigger, {
    onOpen: onOpen
  }), _react.default.createElement(_reactComponents.Modal, allModalProps, _react.default.createElement(_reactComponents.Modal.Content, null, preContent, _react.default.createElement(_reactComponents.InputAddress, (0, _extends2.default)({
    defaultValue: accountId,
    help: inputAddressHelp,
    isDisabled: isDisabled || isSending,
    isInput: false,
    label: inputAddressLabel,
    labelExtra: inputAddressExtra,
    onChange: onChangeAccountId,
    type: "account"
  }, inputAddressProps)), children), _react.default.createElement(_reactComponents.Modal.Actions, {
    onCancel: onClose
  }, _react.default.createElement(_reactComponents.Button, (0, _extends2.default)({
    isDisabled: isDisabled || isSending || !accountId || !isSubmittable,
    isPrimary: true,
    label: submitButtonLabel,
    icon: submitButtonIcon,
    onClick: onSend
  }, submitButtonProps)))));
}

var _default = (0, _translate.default)(TxModal);

exports.default = _default;