"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = VoteAccount;

var _react = _interopRequireDefault(require("react"));

var _InputAddress = _interopRequireDefault(require("./InputAddress"));

var _translate = require("./translate");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function VoteAccount({
  className,
  filter,
  onChange
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  return _react.default.createElement(_InputAddress.default, {
    className: className,
    filter: filter,
    help: t('Select the account you wish to vote with. You can approve "aye" or deny "nay" the proposal.'),
    label: t('vote with account'),
    onChange: onChange,
    type: "account",
    withLabel: true
  });
}