"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = VoteActions;

var _react = _interopRequireDefault(require("react"));

var _Modal = _interopRequireDefault(require("./Modal"));

var _TxButton = _interopRequireDefault(require("./TxButton"));

var _translate = require("./translate");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function VoteActions({
  accountId,
  className,
  isDisabled,
  onClick,
  params,
  tx
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  return _react.default.createElement(_Modal.default.Actions, {
    className: className,
    onCancel: onClick
  }, _react.default.createElement(_TxButton.default, {
    accountId: accountId,
    icon: "check",
    isDisabled: !accountId || isDisabled,
    isPrimary: true,
    label: t('Vote'),
    onStart: onClick,
    params: params,
    tx: tx
  }));
}