"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = VoteToggle;

var _react = _interopRequireWildcard(require("react"));

var _Dropdown = _interopRequireDefault(require("./Dropdown"));

var _translate = require("./translate");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function VoteToggle({
  className,
  onChange,
  value
}) {
  const {
    t
  } = (0, _translate.useTranslation)();
  const voteOpts = (0, _react.useMemo)(() => [{
    text: t('Aye, I approve'),
    value: true
  }, {
    text: t('Nay, I do not approve'),
    value: false
  }], [t]);
  return _react.default.createElement(_Dropdown.default, {
    className: className,
    help: t('Select your vote preferences for this proposal, either to approve or disapprove'),
    label: t('record my vote as'),
    options: voteOpts,
    onChange: onChange,
    value: value
  });
}