"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _i18next = _interopRequireDefault(require("i18next"));

var _i18nextBrowserLanguagedetector = _interopRequireDefault(require("i18next-browser-languagedetector"));

var _i18nextXhrBackend = _interopRequireDefault(require("i18next-xhr-backend"));

var _reactI18next = require("react-i18next");

var _uiSettings = _interopRequireWildcard(require("@polkadot/ui-settings"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const languageDetector = new _i18nextBrowserLanguagedetector.default();
languageDetector.addDetector({
  name: 'i18nLangDetector',
  lookup: () => {
    const i18nLang = _uiSettings.default.i18nLang;
    return i18nLang === _uiSettings.LANGUAGE_DEFAULT ? undefined : i18nLang;
  }
});

_i18next.default.use(_i18nextXhrBackend.default).use(languageDetector).use(_reactI18next.initReactI18next).init({
  backend: {
    loadPath: 'locales/{{lng}}/{{ns}}.json'
  },
  debug: false,
  defaultNS: 'ui',
  detection: {
    order: ['i18nLangDetector', 'navigator']
  },
  fallbackLng: false,
  interpolation: {
    escapeValue: false
  },
  load: 'languageOnly',
  ns: ['app-123code', 'app-accounts', 'app-address-book', 'app-claims', 'app-contracts', 'app-council', 'app-dashboard', 'app-democracy', 'app-explorer', 'app-extrinsics', 'app-generic-asset', 'app-js', 'app-parachains', 'app-settings', 'app-society', 'app-staking', 'app-storage', 'app-sudo', 'app-tech-comm', 'app-toolbox', 'app-transfer', 'app-treasury', 'apps', 'apps-routing', 'react-api', 'react-components', 'react-hooks', 'react-params', 'react-query', 'react-signer'],
  keySeparator: false,
  nsSeparator: false,
  react: {
    wait: true
  }
}).catch(error => console.log('i18n: failure', error));

_uiSettings.default.on('change', settings => {
  const lang = settings.i18nLang === _uiSettings.LANGUAGE_DEFAULT ? _i18next.default.services.languageDetector.detect() : settings.i18nLang;

  _i18next.default.changeLanguage(lang);
});

var _default = _i18next.default;
exports.default = _default;