"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getContractAbi;

var _apiContract = require("@polkadot/api-contract");

var _reactApi = require("@polkadot/react-api");

var _getAddressMeta = _interopRequireDefault(require("./getAddressMeta"));

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function getContractAbi(address) {
  if (!address) {
    return null;
  }

  let abi;
  const meta = (0, _getAddressMeta.default)(address, 'contract');

  try {
    const data = meta.contract && JSON.parse(meta.contract.abi);
    abi = new _apiContract.Abi(_reactApi.registry, data);
  } catch (error) {// invalid address, maybe
  }

  return abi || null;
}