"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isTreasuryProposalVote;

var _reactApi = require("@polkadot/react-api");

// Copyright 2017-2020 @polkadot/react-components authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function isTreasuryProposalVote(proposal) {
  if (!proposal) {
    return false;
  }

  const {
    method,
    section
  } = _reactApi.registry.findMetaCall(proposal.callIndex);

  return section === 'treasury' && ['approveProposal', 'rejectProposal'].includes(method) && !!proposal.args[0];
}